# SpookedEnumerationPattern Class Reference
[Patterns used to build classes]

Inheritance diagram for SpookedEnumerationPattern:
[legend]

List of all members.

## Public Member Functions

| build (MetaClass $class)
| daoExists ()
| indicates DAO availability for classes which uses this pattern

## Detailed Description

Definition at line 15 of file SpookedEnumerationPattern.class.php.

## Member Function Documentation

SpookedEnumerationPattern::build | ( | MetaClass $ | class | ) |

Returns:
  SpookedEnumerationPattern

Reimplemented from EnumerationClassPattern.

Definition at line 20 of file SpookedEnumerationPattern.class.php.

SpookedEnumerationPattern::daoExists | ( |  | ) |

indicates DAO availability for classes which uses this pattern

Reimplemented from EnumerationClassPattern.

Definition at line 25 of file SpookedEnumerationPattern.class.php.

The documentation for this class was generated from the following file:

- meta/patterns/SpookedEnumerationPattern.class.php